package ds.mods.CCLights2.network;

import net.minecraft.client.Minecraft;
import net.minecraft.server.MinecraftServer;
import cpw.mods.fml.common.eventhandler.SubscribeEvent;
import cpw.mods.fml.common.gameevent.PlayerEvent;
import cpw.mods.fml.common.network.FMLNetworkEvent;
import ds.mods.CCLights2.CCLights2;
import ds.mods.CCLights2.Config;

public class PlayerHandler
{
    @SubscribeEvent
    public void clientLoggedIn(FMLNetworkEvent.ClientConnectedToServerEvent evt)
    {
        if (Minecraft.getMinecraft().isSingleplayer())
        {
            CCLights2.debug("Singleplayer detected, sync not needed");
        }
        else
        {
            Config.setDefaults();
            CCLights2.debug("PREP'd for SYNC");
        }
    }
    
    public void playerLoggedIn(PlayerEvent.PlayerLoggedInEvent evt)
    {
        CCLights2.debug("Player login");
        if (Config.monitorSize[0] != 256 || Config.monitorSize[1] != 144)
        {
            MinecraftServer srv = MinecraftServer.getServer();
            if(srv == null)
            {
                CCLights2.debug("I want this called at server side :(");
                return;
            }
            if(srv.isDedicatedServer())
            {
                CCLights2.debug("CfgSync");
                PacketSenders.SYNC(Config.monitorSize[0], Config.monitorSize[1], evt.player);
            }
        }
    }
}
